Skip to content
vocapable.Docs

Require single sign-on (with a break-glass owner)

PUT
/v1/workspace/sso/enforcement
curl --request PUT \
--url https://api.vocapable.com/v1/workspace/sso/enforcement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "expected_revision": 1, "enforce_sso": true, "break_glass_membership_id": "example" }'
Media typeapplication/json
WorkspaceSsoEnforcement
object
expected_revision
required
Expected Revision
integer
>= 1
enforce_sso
required
Enforce Sso
boolean
break_glass_membership_id
Any of:
string
<= 64 characters
Examplegenerated
{
"expected_revision": 1,
"enforce_sso": true,
"break_glass_membership_id": "example"
}

Successful Response

Media typeapplication/json
WorkspaceSso
object
connection
required
Any of:
WorkspaceSsoConnection
object
id
required
Id
string
protocol
required
Protocol
string
Allowed values: oidc saml
status
required
Status
string
Allowed values: draft active disabled
display_name
required
Display Name
string
oidc_issuer
required
Any of:
string
oidc_client_id
required
Any of:
string
oidc_client_secret_set
required
Oidc Client Secret Set
boolean
saml_idp_entity_id
required
Any of:
string
saml_idp_sso_url
required
Any of:
string
saml_idp_certificate_fingerprint
required
Any of:
string
saml_sp_signing_certificate
Any of:
string
saml_sp_encryption_certificate
Any of:
string
saml_sign_authn_requests
Saml Sign Authn Requests
boolean
saml_require_encrypted_assertions
Saml Require Encrypted Assertions
boolean
saml_idp_initiated_enabled
Saml Idp Initiated Enabled
boolean
jit_enabled
required
Jit Enabled
boolean
jit_role
required
Jit Role
string
Allowed values: manager rep
enforce_sso
required
Enforce Sso
boolean
break_glass_membership_id
required
Any of:
string
revision
required
Revision
integer
updated_at
required
Updated At
string format: date-time
session_max_minutes
Any of:
integer
saml_idp_slo_url
Any of:
string
domains
required
Domains
Array<object>
WorkspaceSsoDomain
object
id
required
Id
string
domain
required
Domain
string
record_name
required
Record Name
string
record_value
required
Record Value
string
verified_at
required
Any of:
string format: date-time
last_checked_at
required
Any of:
string format: date-time
service_provider
required
WorkspaceSsoServiceProvider

What to paste into the identity provider.

object
oidc_redirect_uri
required
Oidc Redirect Uri
string
saml_entity_id
required
Any of:
string
saml_acs_url
required
Any of:
string
saml_metadata_url
required
Any of:
string
scim_base_url
required
Scim Base Url
string
saml_slo_url
Any of:
string
oidc_backchannel_logout_uri
Any of:
string
oidc_frontchannel_logout_uri
Any of:
string
Example
{
"connection": {
"protocol": "oidc",
"status": "draft",
"saml_sign_authn_requests": false,
"saml_require_encrypted_assertions": false,
"saml_idp_initiated_enabled": false,
"jit_role": "manager"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}